
/* RESET */

*{
box-sizing:border-box;
margin:0;
padding:0;
}

html{
scroll-behavior:smooth;
}

body{
font-family:Arial, Helvetica, sans-serif;
background:#111;
color:white;
}

/* CONTAINER */

.container{
width:1200px;
max-width:92%;
margin:auto;
}

/* HEADER */

header{
background:#4b0f14;
padding:16px 0;
position:sticky;
top:0;
z-index:1000;
}

.menu{
display:flex;
align-items:center;
justify-content:space-between;
}

.logo{
font-size:22px;
font-weight:bold;
color:#f3d6a5;
}

/* NAV */

nav{
display:flex;
gap:25px;
}

nav a{
color:white;
text-decoration:none;
font-size:15px;
}

/* HAMBURGER */

.hamburger{
display:none;
flex-direction:column;
cursor:pointer;
}

.hamburger span{
height:3px;
width:26px;
background:white;
margin:4px 0;
transition:0.3s;
}

/* HERO */

.hero{
background-image:url('../images/backmariachi.png');
background-size:cover;
background-position:center;
position:relative;
}

.hero::before{
content:"";
position:absolute;
inset:0;
background:rgba(70,0,0,.75);
}

.hero-content{
position:relative;
padding:120px 0;
max-width:650px;
width:100%!important;
}

.hero h1{
font-size:42px;
margin-bottom:10px;
}

.hero p{
color:#ddd;
margin-bottom:25px;
}

.btn{
padding:14px 22px;
border-radius:6px;
text-decoration:none;
font-weight:bold;
display:inline-block;
margin-right:10px;
margin-top:10px;
}

.btn-primary{
background:#e6c089;
color:black;
}

.btn-whatsapp{
background:#8a1f26;
border:1px solid #e6c089;
color:white;
}

/* SEO */

.seo{
background:#68161c;
padding:60px 0;
text-align:center;
}

.seo p{
max-width:900px;
margin:auto;
margin-top:10px;
color:#eee;
}

/* SERVICES */

.services{
background:#5c1318;
padding:60px 0;
}

.service-grid{
display:grid;
grid-template-columns:repeat(4,1fr);
gap:25px;
margin-top:30px;
}

.service{
background:#781b21;
padding:25px;
border-radius:8px;
text-align:center;
}

.service i{
font-size:30px;
margin-bottom:10px;
color:#f3d6a5;
}

/* VIDEOS */

.videos{
background:#451014;
padding:60px 0;
text-align:center;
}

.video-grid{
display:grid;
grid-template-columns:repeat(4,1fr);
gap:20px;
margin-top:30px;
}

.video{
background:#000;
border-radius:6px;
overflow:hidden;
}

.video img{
width:100%;
}

.video-title{
padding:10px;
font-size:14px;
}

/* CTA */

.cta{
background:linear-gradient(#6c1318,#3b0b0f);
text-align:center;
padding:50px 0;
}

.phone{
font-size:34px;
color:#f3d6a5;
margin:20px 0 ;
}

.whatsapp-btn{
background:#25D366;
color:white;
padding:14px 25px;
text-decoration:none;
border-radius:6px;
font-weight:bold;
}

/* FOOTER */

footer{
background:#1b0507;
padding:20px;
text-align:center;
font-size:14px;
color:#aaa;
}

/* RESPONSIVE */

@media(max-width:1000px){

.service-grid{
grid-template-columns:repeat(2,1fr);
}

.video-grid{
grid-template-columns:repeat(2,1fr);
}

.hero h1{
font-size:34px;
}

}

/* MOBILE */

@media(max-width:768px){

nav{
position:absolute;
top:70px;
left:0;
right:0;
background:#4b0f14;
flex-direction:column;
text-align:center;
max-height:0;
overflow:hidden;
transition:.4s;
}

nav.active{
max-height:300px;
padding-bottom:15px;
}

nav a{
padding:12px;
border-top:1px solid rgba(255,255,255,.08);
}

.hamburger{
display:flex;
}

.service-grid{
grid-template-columns:1fr;
}

.video-grid{
grid-template-columns:1fr;
}

.hero-content{
padding:80px 1em;
}

.hero h1{
font-size:28px;
}

}

/*mariachibot*/
.cotizador{
background:#2b080c;
padding:70px 0;
text-align:center;
}

.bot-text{
color:#ddd;
margin-bottom:30px;
}

.chatbox{
max-width:500px;
margin:auto;
background:#3a0d12;
padding:30px;
border-radius:10px;
}

#chat{
text-align:left;
margin-bottom:20px;
}

.msg{
background:#57161b;
padding:10px 15px;
border-radius:8px;
margin:10px 0;
}

.options button{
display:block;
width:100%;
margin:8px 0;
padding:10px;
border:none;
border-radius:6px;
background:#e6c089;
cursor:pointer;
font-weight:bold;
}


.cotizador button {
   border: 2px solid rgb(255,192,0);
    margin: 5px;
    color: rgb(255,192,0);
    border-radius: 20px;
    padding: 8px;
    background: rgb(66,21,21);
    font-size: 1.1em
}

.floating-social{
    position: fixed;
    z-index: 9999;
}

.floating-social a{
    width: 58px;
    height: 58px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    font-size: 28px;
    text-decoration: none;
    box-shadow: 0 8px 20px rgba(0,0,0,.35);
    transition: .3s ease;
}

.floating-social a:hover{
    transform: scale(1.08);
}

.facebook-float{
    right: 20px;
    bottom: 25px;
}

.facebook-float a{
    background: #1877f2;
}

.whatsapp-float{
    left: 20px;
    bottom: 25px;
}


.whatsapp-float a{
    background: #25d366;
}

@media(max-width: 600px){
    .floating-social a{
        width: 52px;
        height: 52px;
        font-size: 25px;
    }

    .facebook-float{
        right: 15px;
        bottom: 20px;
    }

    .whatsapp-float{
        left: 15px;
        bottom: 20px;
    }
}